Retrieve assets
Retrieve assets for a specific account under a specific Non Custodial Wallet
GET
/
ncw
/
wallets
/
{walletId}
/
accounts
/
{accountId}
/
assets
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedAssetsResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletAssets(embeddedWalletsApiGetEmbeddedWalletAssetsRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAssetsResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletAssets(walletId, accountId, sort, pageCursor, pageSize, order);response = fireblocks.embedded_wallets.get_embedded_wallet_assets(wallet_id, account_id, sort, page_cursor, page_size, order);curl --request GET \
--url https://api.fireblocks.io/v1/ncw/wallets/{walletId}/accounts/{accountId}/assetsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/{walletId}/accounts/{accountId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"symbol": "USDT",
"name": "Tether USD",
"decimals": 6,
"networkProtocol": "ETH",
"testnet": true,
"hasFee": true,
"baseAsset": "ETH_TEST5",
"coinType": 0,
"blockchain": "ETH_TEST5",
"ethNetwork": "<string>",
"ethContractAddress": "<string>",
"issuerAddress": "rnDV4JiwgRNhudPY2sm65AzECpRXaasL4r",
"blockchainSymbol": "BTH",
"deprecated": false,
"blockchainDisplayName": "BTH"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
Sort by fields
Available options:
assetId, createdAt Cursor to the next page
Amount of results to return in the next page
Required range:
x <= 400Is the order ascending or descending
Available options:
ASC, DESC Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedAssetsResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletAssets(embeddedWalletsApiGetEmbeddedWalletAssetsRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAssetsResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletAssets(walletId, accountId, sort, pageCursor, pageSize, order);response = fireblocks.embedded_wallets.get_embedded_wallet_assets(wallet_id, account_id, sort, page_cursor, page_size, order);